import Model from "../../Data/Model.js";
import ContextModel from "../ContextModel.js";
import GlobalStorage from "./GlobalStorage.js";
import { GroupStorageCollection } from "./GroupStorageCollection.js";
export interface IStorageManagerOptions {
    parent: ContextModel;
}
interface IStorageManagerData {
    global: any;
    groups: Array<any>;
}
export default class StorageManager extends Model {
    private m_parent;
    private m_global;
    private m_groups;
    constructor(options: IStorageManagerOptions);
    get parent(): ContextModel;
    get global(): GlobalStorage;
    get groups(): GroupStorageCollection;
    private get storageData();
    private set storageData(value);
    toJSON(): IStorageManagerData;
    serialize(): void;
    deserialize(): any;
}
export {};
